gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r11250 - gnunet/src/dht


From: gnunet
Subject: [GNUnet-SVN] r11250 - gnunet/src/dht
Date: Fri, 7 May 2010 11:44:56 +0200

Author: nevans
Date: 2010-05-07 11:44:56 +0200 (Fri, 07 May 2010)
New Revision: 11250

Modified:
   gnunet/src/dht/test_dht_tools.sh
Log:
fix for failure of dht testcase due to long wait for hostkey generation. 
testcase now uses gnunet-peerinfo to generate the hostkey first, then runs 
gnunet.  A much better fix would be to have services that need a hostkey not 
report to arm that they are happily running when they may hang indefinitely 
trying to generate or retrieve a hostkey.  Or if most things really need a 
hostkey have gnunet-service-arm generate the damned thing BEFORE starting 
services.

Modified: gnunet/src/dht/test_dht_tools.sh
===================================================================
--- gnunet/src/dht/test_dht_tools.sh    2010-05-07 09:42:24 UTC (rev 11249)
+++ gnunet/src/dht/test_dht_tools.sh    2010-05-07 09:44:56 UTC (rev 11250)
@@ -6,7 +6,7 @@
 armexe="gnunet-arm -c $tempcfg "
 putexe="gnunet-dht-put -c $tempcfg "
 getexe="gnunet-dht-get -c $tempcfg "
-
+peerinfo="gnunet-peerinfo -c $tempcfg -sq"
 stop_arm()
 {
   if ! $armexe $DEBUG -e -d > $out ; then
@@ -19,6 +19,14 @@
 
 cp test_dht_api_peer1.conf $tempcfg
 
+echo -n "TEST: Generating hostkey..."
+if ! $peerinfo > $out ; then
+  echo "FAIL: error running $peerinfo"
+  echo "Command output was:"
+  cat $out 
+  exit 1
+fi
+
 echo -n "TEST: Starting ARM..."
 if ! $armexe $DEBUG -s > $out ; then
   echo "FAIL: error running $armexe"





reply via email to

[Prev in Thread] Current Thread [Next in Thread]